import { DomSanitizer, SafeHtml } from "@angular/platform-browser";
import { Icon } from "../enum/icon.enum";
export declare class IconCacheService {
    private _sanitizer;
    /**
     * All the icons as a large JSON object, from the all-icons.json file.
     * The object has property keys that are the icon names, and property values with the data string of the actual svg icon.
     */
    get iconCache(): {
        [iconName: string]: SafeHtml;
    };
    private _iconCache;
    constructor(_sanitizer: DomSanitizer);
    getIcon(iconName: Icon | string): SafeHtml;
    getIconAsBase64(iconName: Icon): SafeHtml;
    getRawIcon(iconName: Icon): string;
    setIconCache(): void;
}
